## org.omg.CORBA
Class TRANSACTION_UNAVAILABLE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.TRANSACTION_UNAVAILABLE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class TRANSACTION_UNAVAILABLE
extends SystemException

TRANSACTION_UNAVAILABLE exception is raised by the ORB when it cannot process a transaction service context because its connection to the Transaction Service has been abnormally terminated.

Since:
  CORBA 3.0
See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`TRANSACTION_UNAVAILABLE()`
`TRANSACTION_UNAVAILABLE(int minor, CompletionStatus completed)`
`TRANSACTION_UNAVAILABLE(java.lang.String orb_reason)`
`TRANSACTION_UNAVAILABLE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TRANSACTION_UNAVAILABLE

    public TRANSACTION_UNAVAILABLE()

### TRANSACTION_UNAVAILABLE

    public TRANSACTION_UNAVAILABLE(java.lang.String orb_reason)

### TRANSACTION_UNAVAILABLE

    public TRANSACTION_UNAVAILABLE(int minor,
                                   CompletionStatus completed)

### TRANSACTION_UNAVAILABLE

    public TRANSACTION_UNAVAILABLE(java.lang.String orb_reason,
                                   int minor,
                                   CompletionStatus completed)